/{organizationId}/finance/settingsGet finances settings
Returns the finances settings of a given organization
Required permissions:
financesSettings.read
Path Parameters
organizationIdstringrequired Query Parameters
modifiedBeforedate-timeoptional modifiedAfterdate-timeoptional Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/settings' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
fiscalMonthStartintegerrequired minimum: 1
maximum: 12
vatDueMethodstringrequired Options:
receiptpaymentaccountingModestringrequired Options:
fullexportnoneAdditional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
receiptNumberScopestringrequired Options:
globallocaltaxOfficeNamestringrequired maxLength: 40
donationEnabledbooleanoptional donationMembershipFeesbooleanrequired reversePostingsOnCancelationbooleanrequired taxIDstringrequired Response
{
"vatID": "",
"datev": {
"advisorNumber": "",
"mandateNumber": ""
},
"fiscalMonthStart": 1,
"vatDueMethod": "receipt",
"accountingMode": "full",
"reminders": {
"automaticRemindersEnabledAt": "string",
"level1": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoice": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceMembershipFee": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceBooking": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"level2": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoice": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceMembershipFee": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceBooking": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"level3": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoice": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceMembershipFee": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceBooking": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"level4": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoice": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceMembershipFee": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"invoiceBooking": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"donationReminders": {
"automaticRemindersEnabledAt": "string",
"level1": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"level2": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"level3": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
},
"level4": {
"enabled": true,
"daysOverdue": 1,
"fee": 0,
"messages": {
"general": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
}
}
}
},
"returnedPaymentNotification": {
"retry": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
},
"manual": {
"title": "string",
"intro": "string",
"note": "string",
"subject": "string",
"message": "string"
}
},
"paymentMethods": {
"sepaCreditTransfer": {
"paymentTerms": "string"
},
"sepaDirectDebit": {
"paymentTerms": "string",
"creditorIdentifier": "string",
"minLeadTimeDays": 0,
"maxLeadTimeDays": 0,
"b2b": true
},
"online": {
"paymentTerms": "string"
},
"cash": {
"paymentTerms": "string"
}
},
"receiptNumberFormats": {},
"receiptNumberScope": "global",
"taxOfficeName": "string",
"donationMembershipFees": true,
"reversePostingsOnCancelation": true,
"taxID": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}